//
// ExampleApp.swift
//
// Created by Wesley de Groot
// https://wesleydegroot.nl
//

import SwiftUI
import OSLog

@main
struct ExampleApp: App {
    var body: some Scene {
        WindowGroup {
            ContentView()
                .task {
                    let logger = Logger(subsystem: "nl.wesleydegroot.exampleapp", category: "MyCategory")
                    
                    logger.fault("This is a fault") // Shows in red
                    logger.error("This is a error") // Shows in yellow
                    logger.warning("This is a warning") // Shows in yellow
                    logger.info("Information") // Shows in default color
                    logger.debug("Debug message") // Shows in default color
                    logger.trace("Trace message") // Shows in default color
                }
        }
    }
}
